package com.ym.mec.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 机构表(TenantInfo)表实体类
 *
 * @author hgw
 */
@ApiModel(value = "tenant_info-机构表")
public class TenantProductSumm extends TenantInfo implements Serializable  {

    @ApiModelProperty(value = "当前版本")
    private String serverName;

    @ApiModelProperty(value = "服务有效期开始")
    private Date expiryDate;

    @ApiModelProperty(value = "服务有效期结束")
    private Date expiryDateEnd;

    @ApiModelProperty(value = "有效期(数字-结合有效期单位)")
    private int expiryCount;

    @ApiModelProperty(value = "有效期单位")
    private String expiryUnit;

    @ApiModelProperty(value = "可用余额")
    private BigDecimal balance;

    @ApiModelProperty(value = "冻结金额")
    private BigDecimal frozenAmount;

    @ApiModelProperty(value = "已有学员")
    private Integer studentNum;

    @ApiModelProperty(value = "学员上限")
    private Integer studentUpLimit;

    // ----------- 计算字段
    @ApiModelProperty(value = "剩余天数")
    private Integer validRemaining;

    @ApiModelProperty(value = "总余额")
    private BigDecimal sumBalance;

    public String getServerName() {
        return serverName;
    }

    public void setServerName(String serverName) {
        this.serverName = serverName;
    }

    public Date getExpiryDate() {
        return expiryDate;
    }

    public void setExpiryDate(Date expiryDate) {
        this.expiryDate = expiryDate;
    }

    public int getExpiryCount() {
        return expiryCount;
    }

    public void setExpiryCount(int expiryCount) {
        this.expiryCount = expiryCount;
    }

    public String getExpiryUnit() {
        return expiryUnit;
    }

    public void setExpiryUnit(String expiryUnit) {
        this.expiryUnit = expiryUnit;
    }

    public BigDecimal getBalance() {
        return balance;
    }

    public void setBalance(BigDecimal balance) {
        this.balance = balance;
    }

    public BigDecimal getFrozenAmount() {
        return frozenAmount;
    }

    public void setFrozenAmount(BigDecimal frozenAmount) {
        this.frozenAmount = frozenAmount;
    }

    public Date getExpiryDateEnd() {
        return expiryDateEnd;
    }

    public void setExpiryDateEnd(Date expiryDateEnd) {
        this.expiryDateEnd = expiryDateEnd;
    }

    public Integer getValidRemaining() {
        return validRemaining;
    }

    public void setValidRemaining(Integer validRemaining) {
        this.validRemaining = validRemaining;
    }

    public BigDecimal getSumBalance() {
        return sumBalance;
    }

    public void setSumBalance(BigDecimal sumBalance) {
        this.sumBalance = sumBalance;
    }

    public Integer getStudentNum() {
        return studentNum;
    }

    public void setStudentNum(Integer studentNum) {
        this.studentNum = studentNum;
    }

    public Integer getStudentUpLimit() {
        return studentUpLimit;
    }

    public void setStudentUpLimit(Integer studentUpLimit) {
        this.studentUpLimit = studentUpLimit;
    }
}

